import { ParamDefinition, ParamFamily } from "../param/param-definition";
import { ParamDomainValue } from "../param/param-domain";
import { ParamsEquation } from "../param/params-equation";

/**
 * Y = Σ ou π (a1.x1^p1, … an.xn^pn)
 */
export class SPPParams extends ParamsEquation {

    /** Y */
    private _Y: ParamDefinition;

    constructor(rY: number) {
        super();
        this._Y = new ParamDefinition(this, "Y", ParamDomainValue.ANY, undefined, rY, ParamFamily.ANY);

        this.addParamDefinition(this._Y);
    }

    get Y() {
        return this._Y;
    }
}
