import { ParamDefinition, ParamFamily } from "../../param/param-definition";
import { ParamDomainValue } from "../../param/param-domain";
import { ParamsSection } from "./section_type_params";

export class ParamsSectionCirc extends ParamsSection {
	private _D: ParamDefinition;          // Diamètre du cercle

	constructor(rD: number, rY: number, rKs: number, rQ: number, rIf: number, rYB: number) {
		// set LargeurBerge to default value so that it is not undefined when changing section type
		super(rY, 2.5, rKs, rQ, rIf, rYB);
		this._D = new ParamDefinition(this, "D", ParamDomainValue.POS, "m", rD, ParamFamily.DIAMETERS);
		this.addParamDefinition(this._D);
		// hide params
		this.LargeurBerge.visible = false;
		this.LargeurBerge.undefineFamily(); // or else something might get linked to it although it is undefined
	}

    /**
     * Diamètre du cercle
     */
	get D(): ParamDefinition {
		return this._D;
	}
}
